Page MenuHomePhabricator

Deploy latest zh-hans/hant translations for Wikilabels on wmflabs
Closed, ResolvedPublic

Description

Shortly after Wikilabels was deployed for zhwiki (T116474), Wikipedians have discovered and fixed a mistranslation for "damaging" (translated as "vandalism"). This mistranslation affects label data adversely, as "vandalism" usually implies a "not good faith" option, and many Wikipedians would opt to not label newbies' damaging edits that way. Since nearly 4 months have passed since the fix, I figured that I should probably explicitly ask for a release just for fixing that.

Event Timeline

Arthur2e5 created this task.Apr 4 2017, 1:24 AM
Restricted Application added a project: Machine Learning Platform. · View Herald TranscriptApr 4 2017, 1:24 AM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald Transcript
Arthur2e5 updated the task description. (Show Details)Apr 4 2017, 1:25 AM
Arthur2e5 added a subscriber: Shizhao.

Subscribing shizhao as he participated in a related discussion on Telegram.

@Ladsgroup It seems that your previous solution of T154897 needs polish?!

Arthur2e5 renamed this task from Please pull and deploy the latest version of zh-hans/hant translations for Wikilabels on wmflabs to Deploy latest zh-hans/hant translations for Wikilabels on wmflabs.EditedApr 4 2017, 1:35 AM

I believe I am seeing simplified characters right now, so that itself is not a problem. I am currently using the gadget in a standalone popup window at http://labels.wmflabs.org/ui/zhwiki/.

Arthur2e5 updated the task description. (Show Details)Apr 4 2017, 1:52 AM
revi added a subscriber: revi.Apr 4 2017, 2:17 AM

It takes time for translations from translatewiki.net to the site, so you'll have to wait for next translation update by translatewiki's import bot.

Arthur2e5 closed this task as Resolved.Apr 4 2017, 3:56 AM
Arthur2e5 claimed this task.

Looks like fixed with that PR. Closing.

Arthur2e5 reopened this task as Open.Apr 4 2017, 4:00 AM

Patience patience... Deletion not yet in effect for http://labels.wmflabs.org/ui/zhwiki/.

Need to open a ticket on zhwp's VPT for some awful interactions between its CSS and labels' frame.

Apparently OAuth is broken with TypeError: mw.Uri is not a constructor TypeError: mw.Uri is not a constructor.

I checked OAuth again (if it's broken, it would be a serious problem) and It's working. Can you tell me how do you get this error? Are you using open proxies?

The changes are deployed now, please check and tell me.

Arthur2e5 closed this task as Resolved.Apr 5 2017, 4:37 AM

Looks like plain old bad luck as it is working now (on the same computer with the same internet connection). Deployment verified, marking as resolved.

Liuxinyu970226 moved this task from Backlog to Closed on the Chinese-Sites board.Apr 7 2017, 2:18 PM